Subject: Re: putenv does not put env into win32?
From: Chris Faylor <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: Eugene Kanter <[email-masked]>, cygwin users <[email-masked]>
Date: Wed, 28 Apr 1999 10:48:48 -0400

I have no opinion on the subject of dlopen vs.  LoadLibrary.  AFAIK,
LoadLibrary works as well as dlopen.

As far as getenv/putenv, the only reason I can see to use the Windows
version is if you are not using a cygwin procedure (exec, spawn) to
start a subprocess.  These functions propagate environment variables
to the subprocess.

cgf

On Wed, Apr 28, 1999 at 06:04:49AM -0700, Earnie Boyd wrote:
>I've searched and searched but can't find the reference I had in mind.  Chris,
>I've added you to this discussion because I thought I had remembered you
>stating advantages of using dlopen over LoadLibrary.  Can you expound your
>knowledge on this subject please.
>
>PS: Thanks Mumit for your input.
>
>> which document says use dlopen?
>>> 
>>> --- Eugene Kanter <[email-masked]> wrote:
>>>> Earnie Boyd wrote:
>>>>>
>>>>> --- Eugene Kanter <[email-masked]> wrote:
>>>>> > Any ideas of how to call Win32 versions of getenv/_putenv instead of
>>>>> > cygwin ones?
>>>>>
>>>>> Use the mingw32 package.  For more info read the docs and search the
>>>> archives.
>>>>
>>>> I can not use mingw32 package because the rest of the application (RPM)
>>>> requires cygwin. I just scanned archives and FAQ and have not noticed
>>>> any mentions of putenv limitations.
>>>>
>>> 
>>> Ok.  But I don't think you can do what you want to anyway.  The putenv
>> function
>>> only modifies the environment of the current process not the parent.  Also,
>>> you're using LoadLibrary which in the documentation is said not to be used;
>> but
>>> to use dlopen, etc. instead.  I'm not experienced enough at this to help
>> beyond
>>> these pointers.

--
Want to unsubscribe from this list?
Send a message to [email-masked]